easy_admin:
    entities:
        BannerCategory:
            class: Notimeo\BannersBundle\Entity\BannerCategory
            search:
                fields:
                    - name
            show:
                fields:
                    - { property: image, type: image, base_path: "%notimeo.banners.images_path%" }
            list:
                title: 'entity.banner_category.title.list'
                fields:
                    - { property: 'name', label: 'common.name' }
                    - { property: 'bannersAmount', label: entity.banner_category.name.banners_amount}
                actions:
                    - { name: 'new', icon: 'plus' }
                    - { name: 'edit', icon: 'pencil' }
                    - { name: 'delete', icon: 'trash' }
            new:
                title: 'entity.banner_category.title.new'
                form_options: { validation_groups: ['Default', 'new'] }
            edit:
                title: 'entity.banner_category.title.edit'
            form:
                fields:
                    - type: 'group'
                      css_class: 'col-lg-4'
                      label: 'common.main_content'
                      icon: 'paint-brush'

                    - property: 'name'
                      label: 'common.name'


                    - type: 'group'
                      css_class: 'col-lg-8'
                      label: 'entity.banner.name.multiple'
                      icon: 'picture-o'


                    - property: 'banners'
                      type: 'collection'
                      type_options:
                          label: false
                          entry_type: 'Notimeo\BannersBundle\Form\Type\BannerType'
                          by_reference: false
                          error_bubbling: false